## dgit 13.11

=== debian/changelog ===
dgit (13.11) unstable; urgency=medium

  * No change upload, targeting mainline to unstable.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 10 Aug 2025 20:18:45 +0100

dgit (13.11+exp1) experimental; urgency=medium

  git-debpush UX improvements:
  * Always print a message before fetching from salsa.
    Closes: #1110402.  [Sean Whitton]
  * Detect debian/source/local-options, as a failed check.
    This avoids later failures.  Closes: #1110339.  [Sean Whitton]
  * Detect redundant --quilt mode option, as a failed check.
    Helps useers avoid dangerous habits.  Closes: #1108378.  [Sean Whitton]
  * Detect possible intent to use pristine-tar even if pristine-tar
    is not installed.  [Andrea Pappacoda]

  tag2upload service:
  * If origs cannot be obtained from the archive (eg due to mirror delays),
    try to regenerate them.  Closes: #1109130.  (Deployment TBC.)

  Documentation:
  * Workflow manpages: Replace bookworm with trixie.  [Sean Whitton]
  * Workflow manpages: Suggest sbuild -d, not sbuild -c.  [Sean Whitton]
  * tag2upload(5): Specify ! for service-critical extensions.

  Minor bugfixes:
  * git-debpush: Avoid ignoring a failure of git-cat-file.  [Sean Whitton]
  * Add missing newline to overridden --force fail message.

  dgit download-unfetched-origs subcommand (changes to support tag2upload):
  * Look in the source tree's current suite, specifically.
  * New --write-sha256sums subcommand option.
  * Don't download files already present in the build-products-dir.
  * Save downloaded files to .tmp names until file checksums verified.
  * Report unobtainable origs with special exit status 3.

  Supporting and internal changes:
  * Cleanups and defensiveness in tag2upload-oracled.  [Sean Whitton]
  * Code cleanups, and refactoring, in git-debpush.  [Sean Whitton]
  * Much logic moved from tag2upload-obtain-origs into dgit.

  Tests:
  * Refactoring and additions for testing the new functionality.
  * restore checking of error messages in tag2upload emails.
  * t2u-integration: Include the event_name field in webhook.
    (Compatibility with tag2upload-service-manager changes.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 10 Aug 2025 19:58:53 +0100
