=== debian/changelog ===
dgit (13.12) unstable; urgency=medium

  dgit changes [Ian Jackson]:
  * build-source now checks for git vs dsc discrepancies.
    Other build subcommands are unchanged.  Closes: #1110907.
    - New dgit-distro.DISTRO.build-source-check-correspondence option.
      You can use this to restore build-source's old behaviour of
      deferring discrepency checking to the push phase.
  * Report git vs dsc discrepancies with exit status 6.

  git-debpush fixes:
  * Hide output from git-tag(1) run in the playtree.
  * Move checks depending on quilt mode autodetection later.
    Closes: #1111109.
  * Pass --no-pager when failing a check with a git diff.
    [Ian Jackson]

  New program:
  * git-deborig, moved from 'devscripts' package.  See #1105759.
  * Declare that bin:git-debpush replaces bin:devscripts <<2.25.18.

  tag2upload service:
  * tag2upload-builder-crontab: Move the job from 03:00 to 03:55.
  * tag2upload-builder-rebuild: Revert to installing from testing.
  * tag2upload-builder-rebuild: Rebuild only once (!).
    [Ian Jackson]

  Documentation:
  * git-debpush(1): New "Mistakes" section.
  * git-debpush: Additional design notes.
  * i18n: Import de, fr, pt translations for git-deborig(1).
    Closes: #1110822.

  Internationalisation [Ian Jackson]:
  * 'make i18n-commit' adds new potfiles and cleans up old pofiles.
  * Rename old po4a/list-documents to po4a/generate-po4a.cfg.
    - Fix for when there are multiple languages (!).
  * New po4a/list-documents script.
  * Test that we have all the potfiles we expect.
  * po/README: Give more translation priority advice.
  * po/README: Other updates.
  * Makefile: Replace the various pod2man targets with pattern rules.
  * Fix titles of translated manpages.

  Test suite:
  * t2u-debpush-gbp: Make an edit to debian/, not the upstream.
    [Ian Jackson]
  * t2u-debpush-gbp: Test git-debpush's 'upstream-nonidentical' check.
    [Ian Jackson]
  * Use in-tree git-deborig.
  * Disable missing-breaks Salsa CI job.

  Miscellaneous/internal:
  * Give the git-debpush package a private /usr/share/dgit/gdp/perl5.
    - Move git-debpush's copy of git-playtree-setup there.
  * New Debian::Dgit::Core module installed into all binary packages.
  * git-debpush: Rework some code sectioning.
  * Don't show the version of Perl in manpage footers.  [Ian Jackson]
  * Some copyright notice updates.
  * Adjustments for trunk branch name change.  [Ian Jackson]

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 15 Aug 2025 10:05:44 +0100
