=== debian/control ===
Source: dgit
Section: devel
Priority: optional
Maintainer: Debian tag2upload Delegates <dgit-owner@debian.org>
Uploaders:
 Ian Jackson <ijackson@chiark.greenend.org.uk>,
 Sean Whitton <spwhitton@spwhitton.name>
Standards-Version: 4.4.0.0
Build-Depends: debhelper-compat (= 12), gettext, po4a, tcl
Vcs-Git: https://salsa.debian.org/dgit-team/dgit.git
Vcs-Browser: https://salsa.debian.org/dgit-team/dgit

Package: dgit
Depends: perl, libdpkg-perl, git-core, devscripts, dpkg-dev,
         ${misc:Depends}, git-buildpackage, liblist-moreutils-perl,
         liblocale-gettext-perl,
         coreutils (>= 8.23-1~),
         libdigest-sha-perl, dput, curl, apt,
         libjson-perl, ca-certificates,
         libtext-iconv-perl, libtext-glob-perl, libwww-curl-perl,
         libtext-csv-perl, python3
Recommends: ssh-client, distro-info-data, liburi-perl
Suggests: sbuild | pbuilder | cowbuilder
Architecture: all
Description: git interoperability with the Debian archive
 dgit (with the associated infrastructure) makes it possible to
 treat the Debian archive as a git repository.
 .
 dgit push constructs uploads from git commits
 .
 dgit clone and dgit fetch construct git commits from uploads.

Package: git-debrebase
Depends: perl, git-core, libdpkg-perl, libfile-fnmatch-perl, devscripts,
         liblocale-gettext-perl,
         ${misc:Depends}
Recommends: dgit, git-buildpackage
Architecture: all
Description: rebasing git workflow tool for Debian packaging
 git-debrebase is a tool for representing in git, and manipulating,
 Debian packages based on upstream source code.
 .
 git-debrebase is an alternative to workflows including git-dpm,
 gbp pq, and direct use of quilt patches.

Package: git-debpush
Depends: git, gnupg, ${misc:Depends},
# git-deborig:
	 libgit-wrapper-perl, libdpkg-perl,
	 liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl,
Replaces: devscripts (<< 2.25.18)
# No "Breaks: devscripts (<< 2.25.18)" because:
# - devscripts doesn't hard-depend on git-deborig
# - it would break installability of this .deb on anything older than
#   forky, and we try to support installability on older Debian stable
#   releases as much as possible.
# Also cf. <https://bugs.debian.org/592610#64>.
Architecture: all
Description: client script for git pushing to Debian-style archives
 git-debpush is a script to create and push a specially formatted
 signed git tag.  The metadata in the tag indicates that the tagged
 commit should be pushed (or "uploaded") to a Debian-style archive.
 .
 Tags generated by this script can be read by an intermediary service,
 which performs any conversion that's needed (such as producing and
 signing a .dsc and .changes), and then uploads the result to the
 Debian-style archive on your behalf.
 .
 This package also ships git-deborig, a program which tries to produce
 Debian orig.tar using git-archive(1).  (This program used to be in the
 'devscripts' package.)

Package: dgit-infrastructure
Depends: ${misc:Depends}, perl, git-core, gpgv, chiark-utils-bin,
         libjson-perl, libdigest-sha-perl, libdbd-sqlite3-perl, sqlite3,
         libdpkg-perl,
         liburi-perl, libmime-tools-perl,
         liblocale-gettext-perl
Recommends: dgit (>= 11.7~)
Architecture: all
Description: dgit server backend infrastructure
 This package contains tools which are useful for setting up a dgit
 git depository.  You probably want dgit, the client package, instead
 of dgit-infrastructure.
