=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: baredebian-multitar baredebian-plusgit baredebian-push baredebian-tarball
 Tests-Directory: tests/tests
-Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, quilt, git-debrebase, git-buildpackage, libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl
+Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, quilt, git-debpush, git-debrebase, git-buildpackage
 
 Tests: build-modes-gbp
 Tests-Directory: tests/tests
@@ -51,3 +51,7 @@
 
 Tests: i18n-messages
 Tests-Directory: tests/tests
+Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage, locales-all
+
+Tests: import-linkorigs
+Tests-Directory: tests/tests
