## dgit 13.13~bpo13+1

=== debian/changelog ===
dgit (13.13~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * Fix version number bpo12 -> bpo13.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Aug 2025 10:44:51 +0100

dgit (13.13~bpo12+1) trixie-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 27 Aug 2025 09:51:41 +0100

dgit (13.13) unstable; urgency=medium

  tag2upload:
  * git-debpush: Don't become confused and warn about nonexistent pristine-tar
    metadata.  Closes: #1111504.  [Sean Whitton; report from Birger Schacht]
  * git-debpush: Make submodule check precise.
    Closes: #1111194.  [Report from Simon McVittie]
  * dgit, t2u: --quilt=gbp no longer minds patches editing .gitignore
    Closes: #1111696.  [Report from Simon Josefsson]
  * dgit: Reject --quilt=baredebian+barball in tag2upload builder mode.

  i18n [Américo Monteiro]:
  * dgit-user(7) manpage: Provide Portuguese translation.
  * git-deborig(1): Update Portuguese translation.  Closes: #1111527.

  Documentation:
  * git-debpush(1): Fix link markup.  [Sean Whitton]
  * git-debpush(1): Add references to other tag2upload docs.  [Sean Whitton]
  * dgit(7): Give advice for if upstream source relies on gitattributes.
  * dgit-nmu-simple(7): Document this as the best way to do a git-based NMU.
  * git-debpush(1): Document --quilt=unapplied, not just --quilt=gbp.
  * changelog: 13.12: Add missing Closes for #1108181.  [Sean Whitton]

  dgit bugfix:
  * dgit: baredebian: Fix diff instruction if upstream files discrepant.

  Packaging improvements:
  * git-deborig: Replace several Perl module dependencies
    with inline code and/or use of Dgit::Core.  [Sean Whitton]

  Testing:
  * git-deborig: New tests.  [Sean Whitton]
  * git-debpush: Test that we push the upstream tag.  Re #1111305.
  * CI: Disable some more useless jobs.
  * CI: add t2u-integration-trixie job.

  Other changes:
  * git-deborig: Improve an error message.  [Sean Whitton]
  * Internal tidying and refactoring.  [Sean Whitton and Ian Jackson]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 24 Aug 2025 11:43:28 +0100
