## dgit 13.14~bpo13+1

=== debian/changelog ===
dgit (13.14~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 08 Sep 2025 10:07:29 +0100

dgit (13.14) unstable; urgency=medium

  tag2upload service:
  * tag2upload: On source package discrepancies, print a diffstat
    and instructions for a local repro.  Closes: #1111357.

  git-debpush:
  * Check that the repo is accessible via http.  Closes: #1111319.
  * Support --quilt=single.
  * Print the name of the tag we make.  Closes: #1112040.  [Sean Whitton]

  dgit:
  * Improved output on quilt and dsc discrepancy errors:
    show and explain a diffstat, and use the same logic in each case.

  Documentation:
  * More man7 European Portuguese translations.
    Closes: #1112134.  [Américo Monteiro]
  * git-debpush(1): Mention that git-debrebase needs --quilt=linear.
  * git-debpush: Tidy quilt mode information in manpage and usage message.
    [Ian Jackson and Sean Whitton]
  * tag2upload(5): Specify how pristine-tar metadata item will appear.
    [Andrea Pappacoda and Ian Jackson]

  Internal and supporting changes:
  * CI: Fix gitlab-ci-check-sob to work in contributors' forks.
  * tests: t2u-integration: Provide a user_id in json, for new t2usm.
  * using-these: Put absolute directory on PATH; fixes for programs that cd.
  * git-debpush: Code comment fixes.  [Sean Whitton]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 05 Sep 2025 10:16:53 +0100
