## dgit 13.15~bpo13+1

=== debian/changelog ===
dgit (13.15~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 18 Sep 2025 13:16:17 +0100

dgit (13.15) unstable; urgency=high

  tag2upload service:
  * (Try to) avoid crashing when printing repro instructions.
    Closes: #1115319.  [Report from Simon Josefsson]

  Documentation:
  * Even more man7 European Portuguese translations.
    Closes: #1112134.  [Américo Monteiro]
  * Fix typos in dgit-maint-gbp(7).  [Teemu Hukkanen]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 15 Sep 2025 21:56:29 +0100
