=== changelog ===
sunxi-tools (1.2-2.~~dgittest) unstable; urgency=low

  * Add debian/source/options saying single-debian-patch, for testing.
    (current version in x-vcs-git did have this; see #796016.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 21 Aug 2015 13:53:02 +0100

sunxi-tools (1.2-2) unstable; urgency=medium

  * Create a "sunxi-fel" group and add udev rules to make the FEL mode USB
    device available to members of that group.
  * Include upstream README in the package (Closes: #757642)

 -- Ian Campbell <ijc@hellion.org.uk>  Mon, 25 Aug 2014 21:40:38 +0100

sunxi-tools (1.2-1) unstable; urgency=medium

  * Initial release (Closes: #750104).

 -- Ian Campbell <ijc@hellion.org.uk>  Sat, 12 Jul 2014 20:51:56 +0100
