=== debian/control ===
--- 
+++ 
@@ -44,10 +44,7 @@
  gbp pq, and direct use of quilt patches.
 
 Package: git-debpush
-Depends: git, gnupg, ${misc:Depends},
-# git-deborig:
-	 libgit-wrapper-perl, libdpkg-perl,
-	 liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl,
+Depends: git, gnupg, libdpkg-perl, ${misc:Depends}
 Replaces: devscripts (<< 2.25.18)
 # No "Breaks: devscripts (<< 2.25.18)" because:
 # - devscripts doesn't hard-depend on git-deborig
