=== debian/changelog ===
dgit (13.16~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 10 Oct 2025 14:07:33 +0100

dgit (13.16) unstable; urgency=medium

  git-debrebase bugfixes [Ian Jackson]:
  * Merge resolution: Fix erroneous use of real git tree as
    if it were a private working area.  Closes: #1116933.
  * Merge resolution: Fix conflation of different temporary directories.
  * Clean out all of the temporary playground area on every invocation.
  * Nail down the date for constructing git commits, to avoid
    stochastic failures (especially during vanilla merge resolution).

  dgit bugfixes [Ian Jackson]:
  * dgit: Print progress when downloading files mentioned in .dscs,
    eg in download-unfetched-origs.  Closes: #1111355.

  Packaging:
  * Switch git-debpush.deb dependencies from gnupg to gpg, gpg-agent.
    Allows use with implementations other than gnupg.
    Closes: #1116659.  [Paride Legovini, Sean Whitton]

  New feature:
  * git-debrebase: Provide git-debrebase examine COMMITISH.  [Ian Jackson]

  Documentation:
  * i18n: More European Portuguese manpages translations.
    Closes: #1114805.  [Américo Monteiro]
  * git-debpush(1): Reword --quilt=linear description,
    to disambiguate it somewhat.
  * dgit(1): Reflect that curl(1) is not in fact used by dgit, nowadays.
    [Ian Jackson]

  Cleanups and supporting changes [Ian Jackson]:
  * dgit: Abolish the obsolete sshpsql archive access method.
  * dgit innards: Deconfuse/disambiguate "archive_query" functions.
  * Other minor tidying in git-debrebase and dgit.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 07 Oct 2025 17:43:34 +0100
