=== control ===
Source: sunxi-tools
Section: utils
Priority: optional
Maintainer: Ian Campbell <ijc@hellion.org.uk>
Build-Depends: debhelper (>= 9), pkg-config, libusb-1.0-0-dev, u-boot-tools
Standards-Version: 3.9.5
Vcs-Git: git://git.debian.org/collab-maint/sunxi-tools.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sunxi-tools.git
Homepage: http://linux-sunxi.org/Sunxi-tools

Package: sunxi-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: u-boot:armhf
Description: tools for working with Allwinner (sunxi) ARM processors
 This package contains various tools for working with devices based around the
 Allwinner sunxi processors (A10/A13/A20/A31 etc). Utilities include tools to:
 .
  - interact with the processors' lowlevel bootrom (AKA FEL mode).
  - boot over the USB OTG port.
  - compile and decompile the Allwinner binary hardware descriptions (FEX
    files).
  - display information about sunxi boot headers.
