=== debian/tests/control ===
--- 
+++ 
@@ -40,6 +40,10 @@
 Tests-Directory: tests/tests
 Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage
 
+Tests: git-deborig
+Tests-Directory: tests/tests
+Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, git-debpush
+
 Tests: gitattributes
 Tests-Directory: tests/tests
 Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, bsdgames, man-db, git-man
@@ -49,9 +53,3 @@
 Depends: gnupg, patch, diffutils
 Restrictions: hint-testsuite-triggers
 
-Tests: i18n-messages
-Tests-Directory: tests/tests
-Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage, locales-all
-
-Tests: import-linkorigs
-Tests-Directory: tests/tests
