=== watch ===
version=3
opts=dversionmangle=s/\+dfsg$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sunxi-tools-$1\.tar\.gz/ \
  https://github.com/linux-sunxi/sunxi-tools/tags .*/v?(\d\S*)\.tar\.gz
